For the complete documentation index, see llms.txt. This page is also available as Markdown.

ModifyEipBandwidth

1. API Description

This API (ModifyEipBandwidth) is used to modify bandwidth of the elastic IP.

Note

Operation is only supported for the elastic IP in status of BINDED or UNBIND.

  • This operation is executed asynchronously. Once the call is successful, the bandwidth change will be processed in the background. The current operation status can be obtained by querying the operationInfo field of the EIP list interface.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

eipId

Yes

String

Unique ID of the EIP.

It can be obtained by calling DescribeEips.

bandwidth

Yes

Integer

Target bandwidth.

Unit: Mbps .

Available value range: [1, +) .

Value range: [1, +)

commitBandwidth [Deprecated]

No

Integer

Deprecated. This parameter no longer takes effect and the value passed in is ignored.

The burstable bandwidth of an EIP that already has one configured remains unchanged. If the bandwidth specified this time exceeds the original burstable bandwidth, the burstable bandwidth is automatically raised to the same value as bandwidth.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Change bandwidth of the elastic IP to 10 Mbps.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyEipBandwidth
<Common Request Params>

Request:
{
    "eipId": "< EipId >",
    "bandwidth": 10
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_EIP_NOT_FOUND

Elastic IP does not exist.

400

INVALID_PARAMETER_BANDWIDTH_EXCEED

Bandwidth size exceeds the upper limit.

400

OPERATION_DENIED_EIP_IN_RISK_CONTROL

This operation is not supported for elastic IPs under risk control.

500

OPERATION_DENIED_EIP_STATUS_NOT_SUPPORT

Operations on the EIP with current status are not supported.

400

OPERATION_DENIED_INTERNET_CHARGE_TYPE_NOT_SUPPORT

IP network billing type is not supported.

400

OPERATION_DENIED_LATEST_OPERATION_NOT_FINISHED

The previous operation has not been completed or has failed. Please try again later.

Last updated